
Network Tools - Task #2481

Task # 2476 (Closed): Python 3 support

Fix issues related to library upgrades

10/22/2019 10:47 PM - Luke Murphey

Status: Closed Start date: 10/22/2019

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.4.2   

Description

     [exec] ======================================================================

     [exec] ERROR: test_do_nslookup_bug_2480 (__main__.TestNSLookup)

     [exec] ----------------------------------------------------------------------

     [exec] Traceback (most recent call last):

     [exec]   File "unit.py", line 113, in test_do_nslookup_bug_2480

     [exec]     output = nslookup('textcritical.net')

     [exec]   File "../src/bin/network_tools_app/__init__.py", line 635, in nslookup

     [exec]     addr = reversename.from_address(host)

     [exec]   File "../src/bin/dns/reversename.py", line 56, in from_address

     [exec]     byte for byte in bytearray(dns.ipv4.inet_aton(text))]

     [exec]   File "../src/bin/dns/ipv4.py", line 48, in inet_aton

     [exec]     raise dns.exception.SyntaxError

     [exec] SyntaxError: Text input is malformed.

     [exec] 

     [exec] ======================================================================

     [exec] ERROR: test_do_nslookup_reverse (__main__.TestNSLookup)

     [exec] ----------------------------------------------------------------------

     [exec] Traceback (most recent call last):

     [exec]   File "unit.py", line 122, in test_do_nslookup_reverse

     [exec]     output = nslookup('172.217.6.14')

     [exec]   File "../src/bin/network_tools_app/__init__.py", line 653, in nslookup

     [exec]     answers = custom_resolver.query(host, 'NS')

     [exec]   File "../src/bin/dns/resolver.py", line 1051, in query

     [exec]     raise NXDOMAIN(qnames=qnames_to_try, responses=nxdomain_responses)

     [exec] NXDOMAIN: None of DNS query names exist: 172.217.6.14., 172.217.6.14.members.linode.co

m.

     [exec] 

     [exec] ----------------------------------------------------------------------

Associated revisions

Revision 350 - 10/22/2019 11:35 PM - lmurphey

Fixing compatibility issues with new libraries

Reference #2481

History

#1 - 10/23/2019 12:38 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
